Subject: Re: bug#6979: More information

From: Paul Pogonyshev <[email-masked]>
Date: Sat, 4 Sep 2010 22:06:41 +0300

Chong Yidong wrote:
> Paul Pogonyshev <[email-masked]> writes:
> 
> > I've found that 'gcc-include' rule is wrongly overriden by 'ruby': if
> > I disable the latter in 'compilation-error-regexp-alist', highlighting
> > is back to normal.  I'm not sure what a correct fix would be.  Maybe
> > ruby error highlighting should also highlight 'from' lines as info,
> > not errors.
> 
> Could you please provide some examples?

As I wrote in my original mail:

> To reproduce:
>
>     M-x customize-variable
>     compilation-error-regexp-alist
>
> and follow the 'see also example file' link.

Look for the string 'gcc-include' in the example.  In description it
claims that the first two lines would be highlighted as information
and the last as error.  In reality, second line:

                 from /usr/include/c++/3.3/backward/iostream.h:31,

is also highlighted as an error because it is handled by 'ruby' rule.

I would also argue that _all three_ lines should be information
because real error follows those, but that is a different issue.

Paul